teuthology - Bug #11215

The tgt task should install the packages it needs.

03/23/2015 11:54 PM - Andrew Schoen

Status: New % Done: 0%
Priority: Low Spent time: 0.00 hour
Assignee: Andrew Schoen

Category: QA Suite

Target version:

Source: other Reviewed:

Tags: Affected Versions:
Backport: ceph-ga-suite:
Regression: No Crash signature (v1):
Severity: 3 - minor Crash signature (v2):
Description

We'd like to stop installing scsi-target-utils and iscsi-initiator-utils on rhel 6.x because it has a requirement on librbd1 and librados.
This makes our ansible playbooks not idempotent because whenever we install scsi-target-utils it installs librd1 and librados. We
also make sure that librd1 and librados are absent in the same playbook. When we uninstall them they uninstall scsi-target-utils
which then makes the playbook reinstall scsi-target-utils causing a loop that results in 2 changed plays every time we run it.

See this commit to see when they were added to ceph-qa-chef:

https://github.com/ceph/ceph-ga-chef/commit/9f7¢34275e47e314e39a8b199829e019e807e297

History

#1 - 04/08/2015 06:01 PM - Zack Cerza

- Category set to QA Suite

#2 - 08/11/2015 05:27 PM - Dan Mick

- Assignee set to Andrew Schoen

- Regression set to No

#3 - 08/25/2015 05:34 PM - Dan Mick

- Priority changed from Normal to Low

03/13/2024

1/1



https://github.com/ceph/ceph-qa-chef/commit/9f7c34275e47e314e39a8b199829e019e807e297
http://www.tcpdf.org

